<?php
##################################################
## Автор: -=ШАХТЕР=-                             #                                                                                                                                                                                 ## Сайт: http://masteram.us                 #                 															                      ## ICQ  :  46-92-90                         #                 														 		           ## Версия 4.0 Лицензионная                  #
## Данная версия скрипта является БЕСПЛАТНОЙ!    #
## Версия чата: voblja 4.1 LITE                  #
## Полная версия: 4.1 FUll                       #
## http://masteram.us - Закрытый клуб мастеров;) #
##################################################

require'config.php';
$align='left';

if (!ctype_digit($_GET['nk'])){header('Location: index?'.SID);die;}
$nk = intval($_GET['nk']);
$inf = $db->sql_fetchrow ($db->sql_query ("Select * from users where id='".$nk."'"));
$title='Мнения о '.$inf[user];
aut();
head();
who_add(0,'enter');
echo '<br />';
if ($inf['id']!=$user['id'])$db->sql_query ("INSERT INTO oko (user_id,who_id,msg,time) VALUES ('$inf[id]','$user[id]','".check('Смотрит Мнения о вас')."','$time')");

if (isset($_POST['msg'])){

if (strlen2($_POST['msg'])<3){header ('Location: opinions'.$inf['id'].'?'.SID); exit;}
if ($user['translit']==1)$_POST['msg'] = translit($_POST['msg']);
$db->sql_query ("INSERT INTO opinions (user_id,mgs_id,msg,time) VALUES ('$inf[id]','$user[id]','".check($_POST['msg'])."','$time')");
posts_add();
header ('Location: opinions'.$inf['id'].'?'.SID);
foot();
}


if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from opinions where user_id = '".$inf['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from opinions where user_id = '".$inf['id']."' order by time desc LIMIT $start, $max");

if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo 'Показаны записи '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
if ($k_post == 0)echo 'Мнений пока нет...<br /><br />';

$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){

echo links.'<b>'.nik($a['mgs_id']).'</b> ('.times($a['time']).')'.div;

echo '&#160;'.smiles(antir(antim(bbcode(br($a['msg']))))).'<br/>';
if ($a['img']!='')echo '<a href="'.H.'files/opinions/'.$a['img'].'"><img src="'.H.'opinions_img?'.$a[id].'" width="'.$set['w_img_sten'].'" height="'.$set['h_img_sten'].'" alt="'.$a['img'].'"/></a><br />';
echo '<dt></dt><small>&#160;&#160;';
if (user_inf($a[mgs_id],'sex')==1)$sex = 'нём'; else $sex = 'ней';
if ($a[mgs_id]!=$user[id]&&$a[mgs_id]!=$inf[id])echo '<a href="'.H.'opinions'.$a[mgs_id].'">Мнения о '.$sex.'</a>';
if($inf[id]!=$user[id] && $a[mgs_id]==$user[id] || ($inf[id]!=$user[id] && $user[level]>=5))echo '<a href="'.H.'opinions'.$inf['id'].'?delk='.$a['id'].'">Удалить</a>';
echo $delk.'</small><dt></dt>';
echo '<dl></dl>';
}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str(H.'opinions'.$inf['id'].'?',$k_page,$page); // Вывод страниц
echo "<dl><dt></dt></dl>";
}

if ($ver!='wml')echo '<form action="opinions'.$inf['id'].'?'.SID.'" method="post">';
if ($ver=='wml')echo 'Ваше мнение:<br /><input name="msg'.$ref.'" maxlength="15" title="Text"/><br/>';
else {echo 'Ваше мнение:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br/><br />';

}
if ($ver=='wml'){
echo '<anchor title="go">Добавить<go href="opinions'.$inf['id'].'?'.SID.'" method="post">';
echo '<postfield name="msg" value="$msg'.$ref.'"/>
</go></anchor><br /><br />';
;
}else{
echo '<input type="submit" class="ibutton" value="Добавить"/></form><br /><br />';
}


if (isset($_GET['delk'])){
$a = $db->sql_fetchrow($db->sql_query ("Select * from opinions where id = '".intval($_GET['delk'])."'"));
if($inf[id]!=$user[id] && $a[mgs_id]==$user[id] || ($inf[id]!=$user[id] && $user[level]>=5)){
$db->sql_query("DELETE FROM `opinions` WHERE `id` = '".intval($_GET['delk'])."'");
}
header ('Location: opinions'.$inf['id'].'?'.SID);

}

echo '<br />';
echo gb.'<a href="'.H.$inf[id].'">В анкету</a>'.div;
echo gb.'<a href="'.H.'enter?">Прихожая</a>'.div;
foot();
?>